Bug 466764 - (lensfun) Review Request: lensfun - A library to rectify the defects introduced by your photographic equipment
Review Request: lensfun - A library to rectify the defects introduced by your...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 10:26 EDT by Rex Dieter
Modified: 2015-06-21 20:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 21:58:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-10-13 10:26:47 EDT
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/lensfun/lensfun.spec
SRPM URL: http://rdieter.fedorapeople.org/pkg-reviews/lensfun/lensfun-0.2.2b-1.src.rpm
Description:
A library to rectify the defects introduced by your photographic equipment
Comment 1 Rex Dieter 2008-10-13 10:31:50 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=877579
Comment 2 Rex Dieter 2008-10-13 10:33:30 EDT
bleh, this build breaks.  I'll have to scrounge up the version on my laptop that works. :)
Comment 3 Rex Dieter 2008-10-13 10:39:12 EDT
OK, got it.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=877605
Comment 6 Darryl L. Pierce 2008-11-10 09:50:09 EST
The RPM fails to build:

RPM build errors:
    File not found: /home/mcpierce/Programming/rpms/tmp/lensfun-0.2.2b-2.fc9-root-mcpierce/usr/share/doc/lensfun-0.2.2b/manual
    
Specfile contains:

(mcpierce@mcpierce-laptop:lensfun)$ grep manual *
lensfun.spec:make AUTODEP=0 %{?_smp_mflags} lensfun manual \
lensfun.spec:%{_docdir}/%{name}-%{version}/manual/

but no such file or directory exists in the source tarball or build directory.

MUST HAVES:
 [ ] rpmlint must be run on every package. The output should be posted in the review.
 [ ] The package must be named according to the Package Naming Guidelines .
 [ ] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
 [ ] The package must meet the Packaging Guidelines .
 [X] The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
 [X] The License field in the package spec file must match the actual license.
 [X] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
 [X] The spec file must be written in American English.
 [ ] The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
 [ ] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
 
 When I tried to retrieve the source tarball via wget:
 
 wget http://prdownload.berlios.de/lensfun/lensfun-0.2.2b.tar.bz2

it retrieved a webpage and not the sources.
 
 [ ] The package must successfully compile and build into binary rpms on at least one supported architecture.
 [ ] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64
 [X] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
 [ ] The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
 [ ] Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


 [ ] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
 [ ] A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.
 [X] A package must not contain any duplicate files in the %files listing.
 [ ] Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
 [ ] Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
 [ ] Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
 [ ] The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .
 [ ] Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)
 [ ] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
 [ ] Header files must be in a -devel package.
 [ ] Static libraries must be in a -static package.
 [ ] Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
 [ ] If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
 [X] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
 [X] Packages must NOT contain any .la libtool archives, these should be removed in the spec.
 [ ] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
 [ ] Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
 [X] At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
 [ ] All filenames in rpm packages must be valid UTF-8.

SHOULD HAVES:
 [ ] If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
 [ ] The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
 [ ] The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
 [ ] The package should compile and build into binary rpms on all supported architectures.
 [ ] The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
 [ ] If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
 [ ] Usually, subpackages other than devel should require the base package using a fully versioned dependency.
 [ ] The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
 [X] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. Please see File Dependencies in the Guidelines for further information.
Comment 7 Rex Dieter 2008-11-10 09:55:55 EST
built fine here?
http://koji.fedoraproject.org/koji/taskinfo?taskID=877655
Comment 8 Rex Dieter 2008-11-10 10:28:13 EST
For the manual, that's supposed to get generated at buildtime via doxygen.

Noticed a new upstream release while checking/fixing Source URL, I'll rev the pkg, and issue a new koji scratch build here in a jiffy.
Comment 9 Rex Dieter 2008-11-10 10:37:17 EST
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/lensfun/lensfun.spec
SRPM URL:
http://rdieter.fedorapeople.org/pkg-reviews/lensfun/lensfun-0.2.3-1.src.rpm

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=924553

%changelog
* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-1
- lensfun-0.2.3
- fix SOURCE Url
- configure --target=..generic
Comment 10 Darryl L. Pierce 2008-11-10 10:59:12 EST
Retested with the previous checklist. The following is the only area where the package slipped.

 [ ] Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
 
 The spec file doesn't contain this Requires entry.

Otherwise, things look good.
Comment 11 Rex Dieter 2008-11-10 11:03:09 EST
Spec URL: http://rdieter.fedorapeople.org/pkg-reviews/lensfun/lensfun.spec
SRPM URL:
http://rdieter.fedorapeople.org/pkg-reviews/lensfun/lensfun-0.2.3-2.src.rpm

%changelog
* Mon Nov 10 2008 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-2
- -devel: Requires: pkgconfig
Comment 12 Darryl L. Pierce 2008-11-10 11:08:26 EST
Approved.
Comment 13 Rex Dieter 2008-11-10 11:15:09 EST
New Package CVS Request
=======================
Package Name: lensfun
Short Description: A library to rectify the defects introduced by your photographic equipment
Owners: rdieter
Branches: F-9 F-10
Comment 14 Kevin Fenzi 2008-11-10 11:44:57 EST
cvs done.
Comment 15 Fedora Update System 2008-11-10 12:53:26 EST
lensfun-0.2.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lensfun-0.2.3-2.fc10
Comment 16 Fedora Update System 2008-11-10 12:53:59 EST
lensfun-0.2.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lensfun-0.2.3-2.fc9
Comment 17 Fedora Update System 2008-11-11 21:58:40 EST
lensfun-0.2.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-11-22 11:46:40 EST
lensfun-0.2.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.